rDWS Advanced Endpoints
4 min
Base URL for these endpoints: https://ws.bsn.cloud/rest/v1/
_________________________________________________________________________
GET /advanced/property-lock/
Returns the property-lock setting and if the registry has been set to override the property-lock value.
Request Example
GET /rest/v1/advanced/property-lock/ HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonResponse Body
The server will return a success or error message. A successful response will include:
- settingsHandlerEnabled bool: Whether the settings handler is enabled
- forceRegistrySettings bool: Whether registry settings should take priority
- registryEnableSettings bool: The registry value for enable settings handler
- bsnce bool: Whether BSN.cloud is enabled
Response Example
{
"data": {
"result": {
"settingsHandlerEnabled": true,
"forceRegistrySettings": false,
"registryEnableSettings": true,
"bsnce": true
}
}
}
PUT /advanced/property-lock/
Lets users override the current property-lock setting
Request Body
- forceRegistrySettings bool: Whether registry settings should take priority
- registryEnableSettings bool: Registry value for enable settings handler
Request Example
PUT /rest/v1/advanced/property-lock/ HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonThis is an example of the request body:
{
"data": {
"forceRegistrySettings": true,
"registryEnableSettings": true
}
}Response Body
The server will return a success or error message. A successful response will almost always cause a reboot which will be indicated in the response.
- result object: The response object
- success bool: Whether or not the operation was successful
- reboot bool: Whether or not the player is rebooting
Response Example
{
"data": {
"result": {
"success": true,
"reboot": true
}
}
}